/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.api;

import com.squareup.connect.ApiClient;
import com.squareup.connect.ApiException;
import com.squareup.connect.Configuration;
import com.squareup.connect.auth.OAuth;
import com.squareup.connect.models.ListLocationsResponse;
import com.squareup.connect.utils.APITest;
import com.squareup.connect.utils.Account;

import org.junit.Test;
import org.junit.Assert;
import org.junit.Before;

/**
 * API tests for LocationsApi
 */
public class LocationsApiTest extends APITest {
    
    private final ApiClient defaultClient = Configuration.getDefaultApiClient();
    private final LocationsApi api = new LocationsApi();

    @Before
    public void setup() {
        Account sandboxAccount = accounts.get("US-Prod-Sandbox");
        OAuth oauth2 = (OAuth) defaultClient.getAuthentication("oauth2");
        oauth2.setAccessToken(sandboxAccount.accessToken);
    }

    /**
     * ListLocations
     *
     * Provides the details for all of a business&#39;s locations.  Most other Connect API endpoints have a required &#x60;location_id&#x60; path parameter. The &#x60;id&#x60; field of the [&#x60;Location&#x60;](#type-location) objects returned by this endpoint correspond to that &#x60;location_id&#x60; parameter.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void listLocationsTest() throws ApiException {
        ListLocationsResponse response = api.listLocations();
        Assert.assertEquals("CBASEEffqN8pnVNXwoCL0dSGMVAgAQ", response.getLocations().get(0).getId());
    }
}
